﻿using Otter;

namespace LaserBlasterTag.entities.teams
{
    class RedBase : Entity
    {
        private Spritemap<string> _spriteMap;
        public static int RedBaseLife = 5;
        public RedBase(float x, float y) : base(x,y)
        {
            SetHitbox(32,32, (int)Global.Type.REDBASE);
            _spriteMap = new Spritemap<string>(Assets.REDBASE, 32, 32);
            addNewSprites();
            _spriteMap.Play("normal");
            Graphic = _spriteMap;
        }
        public override void Update()
        {
            base.Update();
            if (Collider.Collide(X, Y, (int)Global.Type.BLUELASER) != null)
                RedBaseLife--;
        }
        public void addNewSprites()
        {
            var hMs = 10f;
            _spriteMap.Add("normal", new int[] { 0, 1 }, new float[] { hMs, hMs });
            _spriteMap.Add("hit1", new int[] { 0, 2 }, new float[] { hMs, hMs });
            _spriteMap.Add("hit2", new int[] { 0, 2, 3 }, new float[] { hMs, hMs });
            _spriteMap.Add("hit3", new int[] { 0, 3, 4 }, new float[] { hMs, hMs });
            _spriteMap.Add("hit4", new int[] { 0, 4, 5 }, new float[] { hMs, hMs });
            _spriteMap.Add("death", new int[] { 6, 7, 8, 9, 10 }, new float[] { 3f, 3f });
            _spriteMap.Add("smoldering", new int[] { 9, 10 }, new float[] { hMs, hMs });         
        }

    }
}
