﻿using Otter;

namespace LaserBlasterTag.scenes
{
    class RedLoseScreen : Scene
    {
        public Image titleImage = new Image(Assets.REDLOSE);
        public RedLoseScreen()
        {
            Global.GAME.LockAspectRatio = false;
            Global.GAME.UpdateSurfaceSize(720, 480);
            Global.GAME.CameraZoom = 2;
            //Scene.CenterCamera(Global.GAME.HalfWidth, Global.GAME.HalfHeight);
            //titleImage.ScaleY = 0.80f;
            this.AddGraphic(titleImage);
        }
        public override void Update()
        {          
            base.Update();
            if (Global.PlayerSession.Controller.Button("Enter").Pressed)
            {
                Global.GAME.RemoveScene();
                Global.GAME.AddScene(new TitleScreen());
                Global.PlayerX = 0.0f;
                Global.PlayerY = 0.0f;
                Global.PlayerSpeed = new Speed(500);
                Global.PlayerHealth = 20;
                Global.PlayerCurrentAnim = "";
                Global.BlueBaseHealth = 5;
                Global.RedBaseHealth = 5;
            }
        }
    }
}