﻿using Otter;
using System;
using System.Collections.Generic;

namespace LaserBlasterTag.utility
{
    public class SoundManager
    {
        #region Public Static
        public static Dictionary<string, Sound> sounds = new Dictionary<string, Sound>();
        public static bool isSoundEnabled = true;
        #endregion

        #region Private Variables
        //private Sound _levelStarted = new Sound(Assets.SFX_LEVEL_INTRO);
        #region SoundInstances
        private static Sound locatedSound;
        #endregion

        #region Specific Sound Properties 
        //put number of instances of sounds you want per sound here(going to be a lot of red and blue lasers here.
        //private Sound _moiPowerUp1 = new Sound(Assets.SFX_MOI_POWER_UP);
        #endregion
        #endregion

        public SoundManager()
        {
            LoadSounds();
        }
        #region Public Properties
        public bool SoundIsEnabled
        {
            get
            {
                return isSoundEnabled;
            }

            set
            {
                isSoundEnabled = value;
            }
        }
        #endregion

        #region Public Methods and Operators
        public static void PlayRequestedSound(string sound, float volume = 1.0f)
        {
            //get sound.
            //if sound is playing, get the sound again and set it to a new instance,
            //if new sound is playing, get the sound again and set it to a new instance,
            //if new sound is playing, get the sound again and...
            try
            {
                for (var i = 1; i < 20; i++)//max sounds is the biggest number in there
                {
                    sounds.TryGetValue(sound, out locatedSound);
                    if (locatedSound.IsPlaying)
                    {
                        //Console.WriteLine("sound " + i + " is playing.");
                        if (i != 1)
                        {
                            if (i.ToString().Length > 1)
                                sound = sound.TrimEnd(sound[sound.Length - 2]);
                            else
                                sound = sound.TrimEnd(sound[sound.Length - 1]);
                        }
                        sound = sound + i.ToString();
                        //Console.WriteLine("sound?: " + sound);
                        sounds.TryGetValue(sound, out locatedSound);
                    }
                    else if (isSoundEnabled)
                    {
                        if (i > 5)
                            volume = .5f;
                        locatedSound.Volume = volume;
                        locatedSound.Play();
                        break;
                    }
                }
            }
            catch
            {
                Console.WriteLine("playing the sound Failed");
            }
        }

        public void LoadSounds()
        {
            //sounds.Add("_levelStarted", _levelStarted);
        }

        public void CreateSoundInstances()
        {//why is this here?

        }
        #endregion
    }

}


